Page MenuHomePhabricator

Tag some portion of RelEng team tasks with "New" or "Maint"
Closed, ResolvedPublic

Description

Event Timeline

greg created this task.Aug 17 2015, 9:29 PM
greg raised the priority of this task from to High.
greg updated the task description. (Show Details)
greg added a project: Release-Engineering-Team.
greg moved this task to Backlog on the Release-Engineering-Team board.
greg added subscribers: greg, demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 9:29 PM
greg set Security to None.
greg renamed this task from Tag last two weeks of tasks with core vs new to Tag two weeks of RelEng team tasks with "core" vs "new".Aug 18 2015, 4:45 PM
greg updated the task description. (Show Details)
greg updated the task description. (Show Details)Aug 21 2015, 9:56 PM
greg renamed this task from Tag two weeks of RelEng team tasks with "core" vs "new" to Tag some portion of RelEng team tasks with "New" or "Maint".Sep 21 2015, 8:35 PM
greg moved this task from Backlog to In Progress on the User-greg board.
greg added a comment.Sep 21 2015, 8:37 PM

Right now, since I've waited so long, I'm just going to do everything updates since Sept 1st and resolved.

https://phabricator.wikimedia.org/maniphest/query/HoyGoK_glEb5/#R

task-update-spam incoming! (hopefully, pending wrist...)

greg added a comment.Sep 21 2015, 8:56 PM

Some assumptions I'm making as I go along (so far only tagging tasks that are "New"):

  • If the work is novel work towards fulfilling a quarterly goal (which are most times "new" work inherently, minus MW releases), then it's "New"
  • If the work isn't novel work towards on of those (eg: "something's broken, jim"), then I'm marking it as "Maintenance"
  • New features to already existing software/infra is "New" (eg: supporting Android builds in CI)
  • Upgrades of software or libraries (eg: Jenkins or an extension's version of the mw-selenium gem) are "Maint"
  • I'm not tagging [keyresult] tasks, these are meta tasks that aren't work tasks
  • Just to be explicit: CI config tasks are 9 times out of 10 "Maint" (eg: add $whatever job to $repository)
greg updated the task description. (Show Details)Sep 21 2015, 9:00 PM
greg updated the task description. (Show Details)
greg added a comment.Sep 21 2015, 9:02 PM

As of right now, since Sept 1st:

  • 21 New
  • 67 Maint

aka: ~24% new work

greg closed this task as Resolved.Sep 21 2015, 9:20 PM
greg claimed this task.

Done for now, we'll see what the follow up is.

greg moved this task from In Progress to Done on the User-greg board.Sep 21 2015, 9:20 PM

Trying to get this into an automated report (for consistency with others, at a minimum). What's the definition of all work the RelEng team is engaging with? Is there a combination of projects that means that, or is the sum of work that RelEng has done equal to the list of all tasks assigned to the list of people?

greg added a comment.Sep 30 2015, 11:41 PM

The later.

greg moved this task from To Do to Done on the RelEng-Admin board.Oct 1 2015, 12:12 AM